/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 *  Item.java
 *  2003-2004 Darnet Camille, Vouriot Thierry
 *  camsss@fr.st, yeri@fr.st
 *  http://www.yeri.fr.st
 *
 */
package merja.associations;

/** Un item coresspond  une classe et une valeur */
public class Item {
    private String classe;
    private String value;
    private String classe_value;
    
    /**
     *
     * @param classe  la classe principale d'item
     * @param value  la valeur de l'item dans sa classe
     */
    public Item(String classe,String value){
        this.classe=classe;
        this.value=value;
        this.classe_value=classe+" : "+value;
    }
    
    /**
     *
     * @return  la classe de l'item
     */
    public String getClasse(){
        return this.classe;
    }
    
    /**
     *
     * @return la valeur de l'item
     */
    public String getValue(){
        return this.value;
    }
    
    /**
     *
     * @return la classe + la valeur de l'item
     */
    public String getClasseValue(){
        return this.classe_value;
    }
    
    /**
     *
     * @return la classe + la valeur de l'item
     * <br> cf :  public String getClasseValue()
     */
    public String toString(){
        if (!classe.equals(""))
            return this.getClasseValue();
        else return this.getValue();
    }
    
    /** Compare 2 items */
    public boolean equals(Item i) {
        return this.classe_value.equals(i.classe_value);
    }
}