/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 *  Transaction.java
 *  2003-2004 Darnet Camille, Vouriot Thierry
 *  camsss@fr.st, yeri@fr.st
 *  http://www.yeri.fr.st
 *
 */
package merja.associations;

public class Transaction {
    private int[] itemId;
    private Hash hash;
    
    /**
     *
     * @param h table de correspondance qui permet de discretiser les items
     */
    public Transaction(Hash h){
        this.hash=h;
    }
    
    /**
     *
     * @param list : liste d'Item correspondant  une transaction dans la base
     * @return true si tous les items sont contenus dans la table de correspodance
     * et que l'ajout c'est ralis correctement
     * <br> false si un item n'appartient pas  la table de correspodant et que la
     * l'ajout n'a pas pu tre ralis
     */
    public boolean addItemList(Item[] list){
        int i,j,k,l;
        int idTmp,idj;
        Item tmp=null;
        itemId = new int[list.length];
        l=0;k=1;
        for(i=0;i<list.length;i++){
            j=0;
            // cherche le premier element non deja utilis
            while(list[j]==null)
                j++;
            // affecte tmp comme l'elu
            tmp=list[j];
            // recupere son id dans la table de hash
            k=j;
            
            idTmp = hash.getIndex(tmp);
            if (idTmp==-1) return false;
            j++;
            for(;j<list.length;j++){
                if (list[j]!=null){
                    idj=hash.getIndex(list[j]);
                    if (idj==-1){
                        // System.out.println("|"+list[j]+"|");
                        return false;
                    }
                    if (idj<idTmp){
                        // if (hash.getIndex(list[j])<hash.getIndex(tmp)){
                        tmp=list[j];
                        idTmp=idj;
                        k=j;
                    }
                }
            }
            itemId[l]=idTmp;
            if (itemId[l]==-1) return false;
            //System.out.println("k "+k);
            list[k]=null;
            l++;
        }
        return true;
    }
    
    /**
     *
     * @return un tableau d'identifiant correspondant  la transaction
     * <br> remarque : ce tableau est tri par ordre croissant
     */
    public int[] getItemId(){
        return itemId;
    }
    
    /**
     *
     * @return la reprsentation de la transaction :  liste d'items avec leur
     *  identifiant
     */
    public String toString(){
        int i;
        StringBuffer resu= new StringBuffer("");
        for(i=0;i<itemId.length;i++){
            resu.append(itemId[i]);
            resu.append(" ");
            resu.append(hash.getItem(itemId[i]));
            resu.append(" ; ");
        }
        return resu.toString();
    }
    
}