/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 *  MerjaTabbedPane.java
 *  2003-2004 Darnet Camille, Vouriot Thierry
 *  camsss@ifrance.com, yeri@fr.st
 *  http://www.yeri.fr.st
 *
 */
package merja.gui;

import java.awt.event.*;
import java.awt.*;
import javax.swing.*;

/** <CODE>TabbedPane</CODE> contenant les panels de l'applications */
public class MerjaTabbedPane extends JTabbedPane {
    public final FileDBPanel m_fileDBPanel = new FileDBPanel();
    public final DataPanel m_dataPanel = new DataPanel();
    public final ItemsetsPanel m_itemsetsPanel = new ItemsetsPanel();
    public final AssociationRulesPanel m_associationRulesPanel = new AssociationRulesPanel();
    
    /** Constructeur */
    MerjaTabbedPane(LogPanel logPanel, MerjaFrame frame) {
        m_fileDBPanel.setLogPanel(logPanel);
        m_dataPanel.setLogPanel(logPanel);
        m_itemsetsPanel.setLogPanel(logPanel);
        m_associationRulesPanel.setLogPanel(logPanel);
        
        m_fileDBPanel.setMerjaFrame(frame);
        m_dataPanel.setMerjaFrame(frame);
        m_itemsetsPanel.setMerjaFrame(frame);
        m_associationRulesPanel.setMerjaFrame(frame);
        
        this.addTab("Fichier/BDD", m_fileDBPanel);
        this.addTab("Donnes", m_dataPanel);
        this.addTab("Itemsets frquents", m_itemsetsPanel);
        this.addTab("Rgles d'association", m_associationRulesPanel);
    }
}