/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 *  MerjaToolBar.java
 *  2003-2004 Darnet Camille, Vouriot Thierry
 *  camsss@ifrance.com, yeri@fr.st
 *  http://www.yeri.fr.st
 *
 */
package merja.gui;

import java.awt.*;
import javax.swing.*;
import merja.*;
import merja.images.*;

/** Barre d'outils de Merja
 */
public final class MerjaToolBar extends JToolBar {
        
    public static final RolloverButton m_openBtn = new RolloverButton(Utilities.getIcon(Icons.ICON_OPEN, Merja.class),"Ouvrir un fichier");
    public static final RolloverButton m_opendbBtn = new RolloverButton(Utilities.getIcon(Icons.ICON_OPENDB, Merja.class),"Ouvrir BDD");
    public static final RolloverButton m_itemsetsBtn = new RolloverButton(Utilities.getIcon(Icons.ICON_ITEMSETS, Merja.class),"Itemsets frquents");
    public static final RolloverButton m_assocRulesBtn = new RolloverButton(Utilities.getIcon(Icons.ICON_ASSOC_RULES, Merja.class),"Rgles d'association");
    public static final RolloverButton m_deleteBtn = new RolloverButton(Utilities.getIcon(Icons.ICON_DELETE, Merja.class),"Fermer le fichier/BDD courant");
    public static final RolloverButton m_stopBtn = new RolloverButton(Utilities.getIcon(Icons.ICON_STOP, Merja.class),"Stoppe le traitement courant");
    public static final RolloverButton m_aboutBtn = new RolloverButton(Utilities.getIcon(Icons.ICON_ABOUT, Merja.class),"A propos de Merja");
    
    /** Constructeur
     */
    public MerjaToolBar() {
        
        this.setFloatable(true);
        this.setOrientation(this.VERTICAL);
        
        m_stopBtn.addActionListener(Merja.getAction("stop"));
        m_aboutBtn.addActionListener(Merja.getAction("about"));
        m_openBtn.addActionListener(Merja.getAction("open"));
        m_opendbBtn.addActionListener(Merja.getAction("opendb"));
        m_assocRulesBtn.addActionListener(Merja.getAction("association"));
        m_deleteBtn.addActionListener(Merja.getAction("delete"));
        m_itemsetsBtn.addActionListener(Merja.getAction("itemsets"));
        
        this.add(m_openBtn);
        this.add(m_opendbBtn);
        this.add(m_itemsetsBtn);
        this.add(m_assocRulesBtn);
        this.add(m_deleteBtn);
        this.add(m_stopBtn);
        this.add(m_aboutBtn);
    }
}
