/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 *  Chrono.java
 *  2003-2004 Darnet Camille, Vouriot Thierry
 *  camsss@ifrance.com, yeri@fr.st
 *  http://www.yeri.fr.st
 *
 */
package merja;

import java.util.*;

/** Classe permettant d'utiliser un chronomtre pour calculer le temps d'excution
 * d'un traitement
 */
public class Chrono {
    private long m_chrono;
    
    /** Dmarre le chronomtre */    
    public void start() {
        m_chrono = new GregorianCalendar().getTime().getTime();
    }
    
    /** Stoppe le chronomtre
     * @return temps depuis le dmarrage
     */    
    public long stop() {
        return (m_chrono = new GregorianCalendar().getTime().getTime() - m_chrono);
    }
    
    /** Retourne le temps entre le dernier dmarrage et arrt du chrono
     * @return temps entre le dernier dmarrage et arrt
     */    
    public long timeElapsed() {
        return m_chrono;
    }
}
