/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 *  Hash.java
 *  2003-2004 Darnet Camille, Vouriot Thierry
 *  camsss@fr.st, yeri@fr.st
 *  http://www.yeri.fr.st
 *
 */

package merja.associations;

public class Hash {
    private Item[] itemList;
    
    /**
     *
     * @param itemList_ : liste d'item  hacher
     */
    public Hash(Item[] itemList_){
        int i,j,k,l;
        Item tmp;
        l=0;
        itemList = new Item[itemList_.length];
        for(i=0;i<itemList_.length;i++){
            j=0;
            while(itemList_[j]==null)
                j++;
            k=j;
            j++;
            tmp=itemList_[k];
            
            for(;j<(itemList_.length);j++){
                
                if (itemList_[j]!=null)
                    if (tmp.getClasseValue().compareTo(itemList_[j].getClasseValue())>0){
                        tmp=itemList_[j];
                        k=j;
                    }
            }
            
            itemList_[k]=null;
            itemList[l]=tmp;
            l++;
        }
    }
    
    /**
     *
     * @return  la reprsentation de la table de correspondance entre les items et leur cl
     */
    public String toString(){
        StringBuffer resu= new StringBuffer("");
        int i;
        for(i=0;i<itemList.length;i++){
            resu.append(i);
            resu.append(" ");
            resu.append(itemList[i].getClasseValue());
            resu.append(" ; \n");
        }
        return resu.toString();
    }
    
    /**
     *
     * @param item dont on cherche la valeur de sa cl
     * @return la cl de l'item sinon -1
     */
    public int getIndex(Item item){
        String value=item.getClasseValue();
        int indiceMil, indiceMin , indiceMax;
        indiceMin=0;
        indiceMax=itemList.length;
        indiceMil=(indiceMin+indiceMax)/2;
        while(indiceMin!=indiceMil){
            if (itemList[indiceMil].getClasseValue().compareTo(value)>0)
                indiceMax=indiceMil;
            else
                indiceMin=indiceMil;
            indiceMil=(indiceMin+indiceMax)/2;
        }
        if (itemList[indiceMil].getClasseValue().compareTo(value)!=0){
            indiceMil=-1;
        }
        return indiceMil;
    }
    
    /**
     *
     * @param id correspond  la cl d'un item
     * @return l'item correspondant
     */
    public Item getItem(int id){
        return itemList[id];
    }
    
    /**
     *
     * @return la taille de la table de correspondance
     */
    public int getLength(){
        return this.itemList.length;
    }
    
}