/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 *  ItemSet.java
 *  2003-2004 Darnet Camille, Vouriot Thierry
 *  camsss@fr.st, yeri@fr.st
 *  http://www.yeri.fr.st
 *
 */
package merja.associations.itemFreq;

import java.util.Vector;
import merja.associations.Item;

/** Un itemset correspond  une liste d'<CODE>Item</CODE> et un support */
public class ItemSet {
    private Item[] items;
    private int support;
    private int indice=0;
    
    /** Constructeur */    
    public ItemSet(){
        items = new Item[0];
    }
    
    /** Constructeur
     * @param taille nombre d'items
     */    
    public ItemSet(int taille){
        items=new Item[taille];
    }
    
    /** Constructeur
     * @param prec
     * @param item
     */    
    public ItemSet(ItemSet prec,Item item){
        items = new Item[prec.items.length+1];
        for(;indice<prec.items.length;indice++){
            items[indice]=prec.items[indice];
        }
        items[indice]=item;
    }
    
    /** Ajoute un item
     * @param item nouvel item
     */    
    protected void addItem(Item item){
        items[indice]=item;
        indice++;
    }
    
    /** Change le support
     * @param support nouveau support
     */    
    protected void setSupport(int support){
        this.support=support;
    }
    
    /** Retourne un tableau contenant tous les items de l'itemset
     * @return Tableau d'items
     */    
    public Item[] getItems(){
        return items;
    }
    
    /** Retourne une chane permettant l'affichage d'un itemset
     * @return chane de caractres
     */    
    public String toString(){
        StringBuffer resu=new StringBuffer();
        int i;
        for(i=0;i<items.length-1;i++){
            resu.append(items[i].toString()+" | ");
        }
        resu.append(items[i].toString());
        resu.append(" support =  ");
        resu.append(this.support);
        return resu.toString();
    }
}