/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 *  TransactionsReader.java
 *  2003-2004 Darnet Camille, Vouriot Thierry
 *  camsss@ifrance.com, yeri@fr.st
 *  http://www.yeri.fr.st
 *
 */
package merja.data;

import merja.associations.*;

/** Interface permettant de founir les mthodes utilises pour la lecture des
 * fichiers utiliss par Merja
 */
public interface TransactionsReader {
    
    /** Retourne le nom du fichier ou de la base de donnes
     * @return nom de la base de donnes
     */    
    public String getRelationName();
    
    /** Retourne la prochaine transaction (tableau d'items)
     * @return pochaine transaction (tableau d'items)
     */    
    public Item[] nextTransaction();
    
    /** Retourne l'ensemble des attributs avec leurs valeurs
     * @return tableau d'items correspondant  tous les items diffrents
     */    
    public Item[] getAttributes();
    
    /** Retourne le nombre d'attributs
     * @return nombre d'attributs
     */    
    public int getNbAttributes();
    
    /** Place le pointeur sur la premire transaction de la base de donnes */    
    public void goToFirstTransaction();
    
    /** Retourne le nombre de transactions de la base de donnes
     * @return nombre de transactions total
     */    
    public int getNbTransactions();
    
    /** Retourne le nombre d'items total
     * @return nombre d'items total
     */    
    public int getNbItems();
    
    /** Retourne le nombre d'items ayant des valeurs diffrentes
     * @return nombre d'items diffrents
     */    
    public int getNbItemsDiff();
    
}
