/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 *  MerjaMetalTheme.java
 *  2003-2004 Darnet Camille, Vouriot Thierry
 *  camsss@ifrance.com, yeri@fr.st
 *  http://www.yeri.fr.st
 *
 */
package merja.gui;

import java.awt.Font;

import javax.swing.plaf.ColorUIResource;
import javax.swing.plaf.FontUIResource;
import javax.swing.plaf.metal.DefaultMetalTheme;

/** Class permettant de definir l'aspect du look & feel metal
 */
public class MerjaMetalTheme extends DefaultMetalTheme {
    
    /** Couleur par dfaut des fontes de Elife
     */    
    private final ColorUIResource m_color = new ColorUIResource(0, 0, 0);
    /** Fonte par dfaut de Elife
     */    
    private final FontUIResource m_font = new FontUIResource(new Font("Dialog", Font.PLAIN, 11));
    
    public MerjaMetalTheme() {
        super();
    }
    
    public ColorUIResource getControlTextColor() {
        return m_color;
    }
  
    public ColorUIResource getMenuTextColor() {
        return m_color;
    }
 
    public ColorUIResource getUserTextColor() {
        return m_color;
    }
 
    public FontUIResource getControlTextFont() {
        return m_font;
    }

    public FontUIResource getMenuTextFont() {
        return m_font;
    }
 
    public FontUIResource getSystemTextFont() {
        return m_font;
    }
  
    public FontUIResource getUserTextFont() {
        return m_font;
    }
  
    public FontUIResource getWindowTitleFont() {
        return m_font;
    }
  
    public FontUIResource getSubTextFont() {
        return m_font;
    }
}